## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExecutionContext::BorrowReturnMutableNodeRefList Class Reference

`#include <XPathExecutionContext.hpp>`

Collaboration diagram for XPathExecutionContext::BorrowReturnMutableNodeRefList:

List of all members.

## Public Methods

- BorrowReturnMutableNodeRefList (XPathExecutionContext& executionContext)
- BorrowReturnMutableNodeRefList (const BorrowReturnMutableNodeRefList& theSource)
- ~BorrowReturnMutableNodeRefList ()
- MutableNodeRefList& operator * () const
- MutableNodeRefList* get () const
- MutableNodeRefList* operator- > () const
- void release ()
- BorrowReturnMutableNodeRefList clone () const
- BorrowReturnMutableNodeRefList& operator= (BorrowReturnMutableNodeRefList& theRHS)

## Constructor & Destructor Documentation

XPathExecutionContext::BorrowReturnMutableNodeRefList::BorrowReturnMutableNodeRefList ( | XPathExecutionContext & executionContext )

XPathExecutionContext::BorrowReturnMutableNodeRefList::BorrowReturnMutableNodeRefList ( | const BorrowReturnMutableNodeRefList & theSource )

XPathExecutionContext::BorrowReturnMutableNodeRefList::~BorrowReturnMutableNodeRefList ( | )`[]`

## Member Function Documentation

BorrowReturnMutableNodeRefList XPathExecutionContext::BorrowReturnMutableNodeRefList::clone ( | ) const`[]`

MutableNodeRefList * XPathExecutionContext::BorrowReturnMutableNodeRefList::get ( | ) const`[]`

MutableNodeRefList & XPathExecutionContext::BorrowReturnMutableNodeRefList::operator * ( | ) const`[]`

MutableNodeRefList * XPathExecutionContext::BorrowReturnMutableNodeRefList::operator- > ( | ) const`[]`

BorrowReturnMutableNodeRefList & XPathExecutionContext::BorrowReturnMutableNodeRefList::operator= ( | BorrowReturnMutableNodeRefList & theRHS )`[]`

void XPathExecutionContext::BorrowReturnMutableNodeRefList::release ( | )`[]`

The documentation for this class was generated from the following file:

- XPathExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.